/**
 * Author: Roi Dayan
 * Author URI: http://roidayan.com
 * License: GPLv3
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

jQuery(document).ready(function($){
	attach_mark_ad_links();
});

function attach_mark_ad_links() {
	// error callback
	var mark_ad_failed = function() {
		var c = window.adminpage ? 'warning' : 'error';
		jQuery(this).html(cp_mark_ad.errmark)
			.removeClass('mark-loader')
			.addClass(c);
	};

	// attach ajax query
	jQuery('a.mark-ad-link').click(function(){
		jQuery.ajax({
			url: cp_mark_ad.ajaxurl,
			beforeSend: function() {
				jQuery(this).html('').addClass('mark-loader');
			},
			context: jQuery(this).parent(),
			dataType: 'json',
			data: {
				action: 'mark_ad',
				security: jQuery(this).data('nonce'),
				post_id: jQuery(this).data('rel'),
			},
			success: function( data ) {
				if ( data && data.success ) {
					// ok
					if ( data.url ) {
						// redirect to order url
						location.href = data.url;
					} else {
						// marked
						jQuery(this).html(cp_mark_ad.okmark)
							.removeClass('mark-loader')
							.addClass('info');
					}
				} else {
					// failed
					mark_ad_failed.call(this);
				}
			},
			error: function() {
				// http error
				mark_ad_failed.call(this);
			}
		});
		// disable default click behavior
		return false;
	});
}